Activity log for bug #868930

Date Who What changed Old value New value Message
2011-10-06 06:39:51 Sam Spilsbury bug added bug
2011-10-06 06:58:16 Sam Spilsbury bug task added unity
2011-10-06 06:58:25 Sam Spilsbury unity: status New In Progress
2011-10-06 06:58:27 Sam Spilsbury unity (Ubuntu): status New In Progress
2011-10-06 06:58:30 Sam Spilsbury unity: assignee Sam Spilsbury (smspillaz)
2011-10-06 06:58:32 Sam Spilsbury unity (Ubuntu): assignee Sam Spilsbury (smspillaz)
2011-10-06 06:58:35 Sam Spilsbury unity: importance Undecided High
2011-10-06 06:59:36 Launchpad Janitor branch linked lp:~smspillaz/unity/unity.fix_868930
2011-10-06 07:05:35 Sam Spilsbury unity: milestone 4.24.0
2011-10-06 10:05:28 Omer Akram unity (Ubuntu): milestone oneiric-updates
2011-10-06 10:05:30 Omer Akram unity (Ubuntu): importance Undecided High
2011-10-07 06:13:08 Didier Roche unity: status In Progress Fix Committed
2011-10-08 11:20:44 Omer Akram unity (Ubuntu): status In Progress Fix Committed
2011-10-12 12:26:39 Sam Spilsbury description Continuing on from bug 862231 comment #15 Okay, now the fix created a new problem. I have my Evolution window resized and can see the window decorations, but when I minimize the window and then click on it's icon in the Unity launcher the window opens maximized and I have to resize again. The behavior affects other apps as well. For example I normally have my Chrome window resized and not showing the window decorations bar (this option is in Chrome's preferences) now since the fix, when I minimize it and then click on it's icon from the launcher it also comes back as maximized with the window decorations. I then have to resize it and then go back into Chrome's preferences to remove the window decorations... I think the problem here is that when the window is reparented again after being minimized (with minimized previews disabled), it will be automaximized. That's wrong, it automaximization should happen on placement Continuing on from bug 862231 comment #15 Okay, now the fix created a new problem. I have my Evolution window resized and can see the window decorations, but when I minimize the window and then click on it's icon in the Unity launcher the window opens maximized and I have to resize again. The behavior affects other apps as well. For example I normally have my Chrome window resized and not showing the window decorations bar (this option is in Chrome's preferences) now since the fix, when I minimize it and then click on it's icon from the launcher it also comes back as maximized with the window decorations. I then have to resize it and then go back into Chrome's preferences to remove the window decorations... I think the problem here is that when the window is reparented again after being minimized (with minimized previews disabled), it will be automaximized. That's wrong, it automaximization should happen on placement TESTCASE Open the empathy buddy list and resize it to about the size of the screen Close it Open the buddy list again, it should not automaximize
2011-10-14 07:39:43 Didier Roche nominated for series Ubuntu Oneiric
2011-10-14 07:39:43 Didier Roche bug task added unity (Ubuntu Oneiric)
2011-10-14 07:45:30 Didier Roche bug added subscriber Ubuntu Stable Release Updates Team
2011-10-16 13:36:11 Omer Akram unity: status Fix Committed Fix Released
2011-10-17 07:22:28 Launchpad Janitor branch linked lp:~ubuntu-desktop/unity/ubuntu
2011-10-18 05:13:44 Martin Pitt unity (Ubuntu Oneiric): status New Fix Committed
2011-10-18 05:13:47 Martin Pitt bug added subscriber SRU Verification
2011-10-18 05:13:50 Martin Pitt tags verification-needed
2011-10-18 12:30:16 Omer Akram tags verification-needed verification-done
2011-10-20 13:10:35 Launchpad Janitor branch linked lp:ubuntu/oneiric-proposed/unity
2011-10-24 05:26:43 Launchpad Janitor unity (Ubuntu): status Fix Committed Fix Released
2011-10-27 12:50:52 Launchpad Janitor unity (Ubuntu Oneiric): status Fix Committed Fix Released